<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionMonitoringSettings Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/dec/class_expansion_monitoring_settings.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionMonitoringSettings Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Vehicle settings class.  
 <a href="../../d9/dec/class_expansion_monitoring_settings.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for ExpansionMonitoringSettings:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d9/dec/class_expansion_monitoring_settings.png" usemap="#ExpansionMonitoringSettings_map" alt=""/>
  <map id="ExpansionMonitoringSettings_map" name="ExpansionMonitoringSettings_map">
<area href="../../d1/d15/class_expansion_setting_base.html" alt="ExpansionSettingBase" shape="rect" coords="0,0,174,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a29e108148cf5c1842e568bd4ddd3fb73"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dec/class_expansion_monitoring_settings.html#a29e108148cf5c1842e568bd4ddd3fb73">ExpansionMonitoringSettings</a> ()</td></tr>
<tr class="separator:a29e108148cf5c1842e568bd4ddd3fb73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08c1683587fb074c50ad708fcec89876"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dec/class_expansion_monitoring_settings.html#a08c1683587fb074c50ad708fcec89876">OnRecieve</a> (ParamsReadContext ctx)</td></tr>
<tr class="separator:a08c1683587fb074c50ad708fcec89876"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29fd734b250728bf002615e388131e16"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dec/class_expansion_monitoring_settings.html#a29fd734b250728bf002615e388131e16">OnSend</a> (ParamsWriteContext ctx)</td></tr>
<tr class="separator:a29fd734b250728bf002615e388131e16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18d5d39b102387115bc6e91df1296c9a"><td class="memItemLeft" align="right" valign="top">override int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dec/class_expansion_monitoring_settings.html#a18d5d39b102387115bc6e91df1296c9a">Send</a> (PlayerIdentity identity)</td></tr>
<tr class="separator:a18d5d39b102387115bc6e91df1296c9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afba882bcfd162346b05ba738c79a252a"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dec/class_expansion_monitoring_settings.html#afba882bcfd162346b05ba738c79a252a">Copy</a> (<a class="el" href="../../d1/d15/class_expansion_setting_base.html">ExpansionSettingBase</a> setting)</td></tr>
<tr class="separator:afba882bcfd162346b05ba738c79a252a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e6221ad75c69a18931f2c1014967f45"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dec/class_expansion_monitoring_settings.html#a5e6221ad75c69a18931f2c1014967f45">CopyInternal</a> (<a class="el" href="../../d9/dec/class_expansion_monitoring_settings.html">ExpansionMonitoringSettings</a> s)</td></tr>
<tr class="separator:a5e6221ad75c69a18931f2c1014967f45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a628452547638bd4a1dd48336a85cbb90"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dec/class_expansion_monitoring_settings.html#a628452547638bd4a1dd48336a85cbb90">IsLoaded</a> ()</td></tr>
<tr class="separator:a628452547638bd4a1dd48336a85cbb90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a875703a0fcf7e2dc573e6a1e56b5e70a"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dec/class_expansion_monitoring_settings.html#a875703a0fcf7e2dc573e6a1e56b5e70a">Unload</a> ()</td></tr>
<tr class="separator:a875703a0fcf7e2dc573e6a1e56b5e70a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a447a7bb3984622611a6460ad583e63d2"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dec/class_expansion_monitoring_settings.html#a447a7bb3984622611a6460ad583e63d2">OnLoad</a> ()</td></tr>
<tr class="separator:a447a7bb3984622611a6460ad583e63d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8592db30f45236962cdb505af349ba6b"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dec/class_expansion_monitoring_settings.html#a8592db30f45236962cdb505af349ba6b">OnSave</a> ()</td></tr>
<tr class="separator:a8592db30f45236962cdb505af349ba6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ee521d3f3fb26fa853fed812bbd7ad8"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dec/class_expansion_monitoring_settings.html#a2ee521d3f3fb26fa853fed812bbd7ad8">Update</a> (<a class="el" href="../../d1/d15/class_expansion_setting_base.html">ExpansionSettingBase</a> setting)</td></tr>
<tr class="separator:a2ee521d3f3fb26fa853fed812bbd7ad8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a964ea7ff3e1ca8605a78207c54fdd554"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dec/class_expansion_monitoring_settings.html#a964ea7ff3e1ca8605a78207c54fdd554">Defaults</a> ()</td></tr>
<tr class="separator:a964ea7ff3e1ca8605a78207c54fdd554"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b407b6715b64c8d701346fb0448ff35"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dec/class_expansion_monitoring_settings.html#a5b407b6715b64c8d701346fb0448ff35">SettingName</a> ()</td></tr>
<tr class="separator:a5b407b6715b64c8d701346fb0448ff35"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aaea99aaa8823dd1a07e38afbd11732c4"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dec/class_expansion_monitoring_settings.html#aaea99aaa8823dd1a07e38afbd11732c4">Enabled</a></td></tr>
<tr class="separator:aaea99aaa8823dd1a07e38afbd11732c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac706dac4442d3b84857e8f7412855e4a"><td class="memItemLeft" align="right" valign="top">private bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dec/class_expansion_monitoring_settings.html#ac706dac4442d3b84857e8f7412855e4a">m_IsLoaded</a></td></tr>
<tr class="separator:ac706dac4442d3b84857e8f7412855e4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a7d71c584e53f68c306ac08a6715f3e2c"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dec/class_expansion_monitoring_settings.html#a7d71c584e53f68c306ac08a6715f3e2c">VERSION</a> = 1</td></tr>
<tr class="separator:a7d71c584e53f68c306ac08a6715f3e2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Vehicle settings class. </p>
<p ><a class="el" href="../../df/d30/expansionmonitoringsettings_8c.html">ExpansionMonitoringSettings.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html#l00016">16</a> of file <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html">expansionmonitoringsettings.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a29e108148cf5c1842e568bd4ddd3fb73" name="a29e108148cf5c1842e568bd4ddd3fb73"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29e108148cf5c1842e568bd4ddd3fb73">&#9670;&#160;</a></span>ExpansionMonitoringSettings()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMonitoringSettings::ExpansionMonitoringSettings </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html#l00026">26</a> of file <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html">expansionmonitoringsettings.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="afba882bcfd162346b05ba738c79a252a" name="afba882bcfd162346b05ba738c79a252a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afba882bcfd162346b05ba738c79a252a">&#9670;&#160;</a></span>Copy()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionMonitoringSettings::Copy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d1/d15/class_expansion_setting_base.html">ExpansionSettingBase</a>&#160;</td>
          <td class="paramname"><em>setting</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html#l00047">47</a> of file <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html">expansionmonitoringsettings.c</a>.</p>

</div>
</div>
<a id="a5e6221ad75c69a18931f2c1014967f45" name="a5e6221ad75c69a18931f2c1014967f45"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e6221ad75c69a18931f2c1014967f45">&#9670;&#160;</a></span>CopyInternal()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void ExpansionMonitoringSettings::CopyInternal </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/dec/class_expansion_monitoring_settings.html">ExpansionMonitoringSettings</a>&#160;</td>
          <td class="paramname"><em>s</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html#l00058">58</a> of file <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html">expansionmonitoringsettings.c</a>.</p>

</div>
</div>
<a id="a964ea7ff3e1ca8605a78207c54fdd554" name="a964ea7ff3e1ca8605a78207c54fdd554"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a964ea7ff3e1ca8605a78207c54fdd554">&#9670;&#160;</a></span>Defaults()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionMonitoringSettings::Defaults </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html#l00128">128</a> of file <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html">expansionmonitoringsettings.c</a>.</p>

</div>
</div>
<a id="a628452547638bd4a1dd48336a85cbb90" name="a628452547638bd4a1dd48336a85cbb90"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a628452547638bd4a1dd48336a85cbb90">&#9670;&#160;</a></span>IsLoaded()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionMonitoringSettings::IsLoaded </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html#l00068">68</a> of file <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html">expansionmonitoringsettings.c</a>.</p>

</div>
</div>
<a id="a447a7bb3984622611a6460ad583e63d2" name="a447a7bb3984622611a6460ad583e63d2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a447a7bb3984622611a6460ad583e63d2">&#9670;&#160;</a></span>OnLoad()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionMonitoringSettings::OnLoad </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html#l00080">80</a> of file <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html">expansionmonitoringsettings.c</a>.</p>

</div>
</div>
<a id="a08c1683587fb074c50ad708fcec89876" name="a08c1683587fb074c50ad708fcec89876"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08c1683587fb074c50ad708fcec89876">&#9670;&#160;</a></span>OnRecieve()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionMonitoringSettings::OnRecieve </td>
          <td>(</td>
          <td class="paramtype">ParamsReadContext&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html#l00031">31</a> of file <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html">expansionmonitoringsettings.c</a>.</p>

</div>
</div>
<a id="a8592db30f45236962cdb505af349ba6b" name="a8592db30f45236962cdb505af349ba6b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8592db30f45236962cdb505af349ba6b">&#9670;&#160;</a></span>OnSave()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionMonitoringSettings::OnSave </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html#l00112">112</a> of file <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html">expansionmonitoringsettings.c</a>.</p>

</div>
</div>
<a id="a29fd734b250728bf002615e388131e16" name="a29fd734b250728bf002615e388131e16"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29fd734b250728bf002615e388131e16">&#9670;&#160;</a></span>OnSend()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionMonitoringSettings::OnSend </td>
          <td>(</td>
          <td class="paramtype">ParamsWriteContext&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html#l00036">36</a> of file <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html">expansionmonitoringsettings.c</a>.</p>

</div>
</div>
<a id="a18d5d39b102387115bc6e91df1296c9a" name="a18d5d39b102387115bc6e91df1296c9a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18d5d39b102387115bc6e91df1296c9a">&#9670;&#160;</a></span>Send()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override int ExpansionMonitoringSettings::Send </td>
          <td>(</td>
          <td class="paramtype">PlayerIdentity&#160;</td>
          <td class="paramname"><em>identity</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html#l00041">41</a> of file <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html">expansionmonitoringsettings.c</a>.</p>

</div>
</div>
<a id="a5b407b6715b64c8d701346fb0448ff35" name="a5b407b6715b64c8d701346fb0448ff35"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b407b6715b64c8d701346fb0448ff35">&#9670;&#160;</a></span>SettingName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string ExpansionMonitoringSettings::SettingName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html#l00141">141</a> of file <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html">expansionmonitoringsettings.c</a>.</p>

</div>
</div>
<a id="a875703a0fcf7e2dc573e6a1e56b5e70a" name="a875703a0fcf7e2dc573e6a1e56b5e70a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a875703a0fcf7e2dc573e6a1e56b5e70a">&#9670;&#160;</a></span>Unload()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionMonitoringSettings::Unload </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html#l00074">74</a> of file <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html">expansionmonitoringsettings.c</a>.</p>

</div>
</div>
<a id="a2ee521d3f3fb26fa853fed812bbd7ad8" name="a2ee521d3f3fb26fa853fed812bbd7ad8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ee521d3f3fb26fa853fed812bbd7ad8">&#9670;&#160;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionMonitoringSettings::Update </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d1/d15/class_expansion_setting_base.html">ExpansionSettingBase</a>&#160;</td>
          <td class="paramname"><em>setting</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html#l00122">122</a> of file <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html">expansionmonitoringsettings.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="aaea99aaa8823dd1a07e38afbd11732c4" name="aaea99aaa8823dd1a07e38afbd11732c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaea99aaa8823dd1a07e38afbd11732c4">&#9670;&#160;</a></span>Enabled</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMonitoringSettings::Enabled</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html#l00020">20</a> of file <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html">expansionmonitoringsettings.c</a>.</p>

</div>
</div>
<a id="ac706dac4442d3b84857e8f7412855e4a" name="ac706dac4442d3b84857e8f7412855e4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac706dac4442d3b84857e8f7412855e4a">&#9670;&#160;</a></span>m_IsLoaded</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private bool ExpansionMonitoringSettings::m_IsLoaded</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html#l00023">23</a> of file <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html">expansionmonitoringsettings.c</a>.</p>

</div>
</div>
<a id="a7d71c584e53f68c306ac08a6715f3e2c" name="a7d71c584e53f68c306ac08a6715f3e2c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d71c584e53f68c306ac08a6715f3e2c">&#9670;&#160;</a></span>VERSION</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int ExpansionMonitoringSettings::VERSION = 1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html#l00018">18</a> of file <a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html">expansionmonitoringsettings.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Core/Scripts/3_game/dayzexpansion_core/settings/monitoring/<a class="el" href="../../df/d30/expansionmonitoringsettings_8c_source.html">expansionmonitoringsettings.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d9/dec/class_expansion_monitoring_settings.html">ExpansionMonitoringSettings</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
